Page MenuHomePhabricator

Echo: Granular icons in the Notifications Badge
Closed, DeclinedPublic

Description

https://en.wikipedia.org/wiki/Wikipedia_talk:Notifications/Archive_5#Granularity
Suggests the /type/ of notifications should be displayed in the Notifications Badge/growler. Includes image mockups (using wrong colors and icons, please mentally transpose).


This would also help with accessibility, for people who find the current Badge too small to easily click on.

This might also help in the future, when we have cross-wiki Notifications.


See Also:

Details

Reference
bz56476

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:30 AM
bzimport added a project: Notifications.
bzimport set Reference to bz56476.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity created this task.Nov 1 2013, 5:31 PM

The WMF core features team tracks this bug on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/396, but people from the community are welcome to contribute here and in Gerrit.

Jorm added a comment.Jan 19 2014, 9:01 PM

This is probably a bad idea and not something we will want to implement.

Notifications are a super-set; displaying them based on granularity creates an N+ display problem (ever-increasing interface clutter).

Notifications are not intended to be anything more than transient. This works against that.

Recommending CLOSE: WONTFIX, as it defeats the function of the product.

What a rude and ill-informed comment.

Nothing in my proposal to which Quiddity referred suggested making notifications non-transient.

Jorm added a comment.Jan 19 2014, 10:37 PM

I regret that you took my comment as "rude". That was not its intended direction; however, I stand by everything I said.

As to your "ill-informed" bit, I can only say that I was the principle designer for the Echo feature, so I should think I have a fair grasp as to what it is and is not intended to do.

Your proposal will, indeed, bring notifications into a "non-transient" state because it will elevate (or lower) certain notification *types* in importance. Segregating notifications based on type creates importance disparity. A key feature of any notifications system is neutrality. Non-neutral systems are not transient. Ergo, my statement (which is correct).

Scott added a comment.Jan 20 2014, 9:38 PM

I should have slept on it rather than dashing off a reply last thing at night. I was somewhat taken aback by what I perceived as your tone. Ill-informed was a poor choice of word on my part.

I get the impression that you think I'm suggesting splitting the notifications into individually clickable items. That's not what I meant at all. This proposal is only to change the clickable component from displaying a single aggregate count to displaying a count separated into types. The behavior on clicking would not change at all; a click received anywhere on the display would trigger the menu and reset it to 0, just as at present. Does that make sense?

turingt wrote:

(In reply to Brandon Harris from comment #4)

Your proposal will, indeed, bring notifications into a "non-transient" state
because it will elevate (or lower) certain notification *types* in
importance. Segregating notifications based on type creates importance
disparity. A key feature of any notifications system is neutrality.

Brandon, that would be fine if all notifications had the same importance, but that is no longer true. Now that Flow is connected to Echo, there are high importance notifications (alerts) and low importance (messages).

When the bubble lights up, I'd want to know, without having to open it first, whether it contains some alerts to read it right now (when someone replies to my talk or pings me), or just messages to a topics I'm subscribed to, so that I can leave it unread for a while. For that, the bubble should light up with different styles if it contains alerts or not.

Another option is to allow the user to choose what messages (i.e. from what boards) are important enough to raise a notification, instead of all messages raising one. This way there would be no difference of importance.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 1 2015, 6:55 PM
EoRdE6 added a subscriber: EoRdE6.Apr 20 2015, 7:08 PM
This comment was removed by EoRdE6.
Legoktm moved this task from Backlog to Needs plan on the Notifications board.Jul 6 2015, 9:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2015, 9:27 PM
Matanya added a subscriber: Matanya.Sep 5 2015, 7:42 PM
Quiddity updated the task description. (Show Details)Sep 24 2015, 12:10 AM
Jorm removed a subscriber: Jorm.Dec 26 2015, 7:19 PM
Quiddity closed this task as Declined.Apr 28 2016, 2:25 AM

Due to the large number of existing notification types, and the larger number of requested new notification types (which might be created over the coming months/years), and the various skin/screen-restrictions that echo needs to work within, the granular icon idea is not practical. Closing as declined (with personal sorrow, as I really liked the idea).